use std::env;
use std::path::PathBuf;

fn main() {
    if cfg!(target_os = "windows") {
        let static_lib_path = PathBuf::from(env::var("CARGO_MANIFEST_DIR").unwrap()).join("lib");
        println!("cargo::rustc-link-search=native={}", static_lib_path.display());

        println!("cargo::rustc-link-lib=static=p4pillondebuglib");
        println!("cargo::rustc-link-lib=dylib=ssvw64");
    } else if cfg!(target_os = "linux") {
        let static_lib_path = PathBuf::from(env::var("CARGO_MANIFEST_DIR").unwrap()).join("lib");
        println!("cargo::rustc-link-search=native={}", static_lib_path.display());
        println!("cargo::rustc-link-lib=static=p4pillondebuglib");

        // let dynamic_lib_path = PathBuf::from("/opt/santesocial/fsv/1.40.13/lib");
        // println!("cargo::rustc-link-search=native={}", dynamic_lib_path.display());
        println!("cargo::rustc-link-lib=dylib=ssvlux64");
    }
}
